Bug 966065 - Python-2.6 app cannot be created due to bin/install: Permission denied
Python-2.6 app cannot be created due to bin/install: Permission denied
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Dan Mace
libra bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-22 08:08 EDT by Meng Bo
Modified: 2015-05-14 19:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:08:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2013-05-22 08:08:44 EDT
Description of problem:
Try to create python-2.6 app on devenv_3259, will fail with following error:
/var/lib/openshift/519cb1c1c34cbb0733000017/python/bin/install: line 16: /var/lib/openshift/519cb1c1c34cbb0733000017/python//versions/2.6/bin/install: Permission
denied

Version-Release number of selected component (if applicable):
devenv_3259

How reproducible:
always

Steps to Reproduce:
1.Create python 2.6 app via rhc client
2.
3.

Actual results:
Application Options
-------------------
  Namespace:  bmengdev1
  Cartridges: python-2.6
  Gear Size:  default
  Scaling:    no

Creating application 'py1' ... 
/var/lib/openshift/519cb1c1c34cbb0733000017/python/bin/install: line 16: /var/lib/openshift/519cb1c1c34cbb0733000017/python//versions/2.6/bin/install: Permission denied

Expected results:
Should be created without error.

Additional info:
It is ok for python2.7 and python3.3

Find the following from the instace:

[root@ip-10-118-54-144 bin]# ls -l
total 12
-rwxr-xr-x. 1 root root 2653 May 22 04:14 control
-rw-r--r--. 1 root root  429 May 22 04:14 install
-rwxr-xr-x. 1 root root  179 May 22 04:14 setup
[root@ip-10-118-54-144 bin]# pwd
/var/lib/openshift/.cartridge_repository/redhat-python/0.0.1/versions/2.6/bin
Comment 1 Dan Mace 2013-05-22 10:51:02 EDT
Resolved by https://github.com/openshift/origin-server/pull/2588
Comment 2 openshift-github-bot 2013-05-23 10:37:12 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/23e4717a413505db4339b334578172233cd65da7
Bug 966065: Make python-2.6 install script executable
Comment 3 chunchen 2013-05-24 04:54:22 EDT
It's fixed, verified on devenv_3247.

Note You need to log in before you can comment on or make changes to this bug.